AC_MSG_CHECKING(for Asterisk SAPI library support)

AC_ARG_ENABLE(asterisk,
[  --enable-asterisk[=TYPE]   EXPERIMENTAL: Enable building of Asterisk SAPI library
                          TYPE is either 'shared' or 'static'. [TYPE=shared]],
[ 
  case $enableval in
    yes|shared)
      PHP_ASTERISK_TYPE=shared
      INSTALL_IT="\$(mkinstalldirs) \$(INSTALL_ROOT)\$(prefix)/lib; \$(INSTALL) -m 0755 $SAPI_SHARED \$(INSTALL_ROOT)\$(prefix)/lib"
      ;;
    static)
      PHP_ASTERISK_TYPE=static
      INSTALL_IT="\$(mkinstalldirs) \$(INSTALL_ROOT)\$(prefix)/lib; \$(INSTALL) -m 0644 $SAPI_STATIC \$(INSTALL_ROOT)\$(prefix)/lib"
      ;;
    *)
      PHP_ASTERISK_TYPE=no
      ;;
  esac
],[
  PHP_ASTERISK_TYPE=no
])

AC_MSG_RESULT($PHP_ASTERISK_TYPE)

if test "$PHP_ASTERISK_TYPE" != "no"; then
  PHP_SELECT_SAPI(asterisk, $PHP_ASTERISK_TYPE, php_asterisk.c)
fi
