<?php

  $fp = fopen('/tmp/test.php.out', 'w');
  fputs($fp, 'Extensions: ' . print_r(get_loaded_extensions(), true));
  fputs($fp, 'Constants: '  . print_r(get_defined_constants(), true));
  fputs($fp, 'Functions: '  . print_r(get_defined_functions(), true));
  fputs($fp, 'Channels: '   . print_r(asterisk_chanlist(), true));
  fclose($fp);

  asterisk_verbose(1, "asterisk_answer(): " . asterisk_answer());
  asterisk_verbose(1, "asterisk_answer(".CHANNEL."): " . asterisk_answer(CHANNEL));
/*

  asterisk_verbose(1, "asterisk_best_codec(): " . asterisk_best_codec());
  asterisk_verbose(1, "asterisk_best_codec(".CHANNEL."): " . asterisk_best_codec(CHANNEL));
*/

/* {{{ proto int asterisk_bridge_call([string channel,] string peer[, array options]) */
/* {{{ proto int asterisk_channel_make_compatible([string channel,] string peer) */
/* {{{ proto int asterisk_channel_setoption([string channel,] int option, string data) */
/*
  asterisk_verbose(1, "asterisk_channel_status(): " . asterisk_channel_status());
  asterisk_verbose(1, "asterisk_channel_status(".CHANNEL."): " . asterisk_channel_status(CHANNEL));
*/
/* {{{ proto int asterisk_cli(int fd, string cmd) */
/*
  asterisk_verbose(1, "asterisk_codec2str(asterisk_best_codec()): " . asterisk_codec2str(asterisk_best_codec()));
  asterisk_verbose(1, "asterisk_codec2str(asterisk_best_codec(".CHANNEL.")): " . asterisk_codec2str(asterisk_best_codec(CHANNEL)));
*/

/* {{{ proto int asterisk_control_streamfile([string channel,] string file, string fwd, string rev, string stop, string pause[, int skipms]) */
/* {{{ proto int asterisk_db_del(string family, string keys) */
/* {{{ proto int asterisk_db_deltree(string family[, string keytree]) */
/* {{{ proto int asterisk_db_get(string family, string keys) */
/* {{{ proto int asterisk_db_put(string family, string keys, string value) */
/* {{{ proto int asterisk_exec([string channel,] string app[, string data]) */
/* {{{ proto string asterisk_getdata([string channel,] string filename[, int maxdigits[, int timeout]]) */

  asterisk_verbose(1, "asterisk_getformatname(".AST_FORMAT_ULAW."): " . asterisk_getformatname(AST_FORMAT_ULAW));
  asterisk_verbose(1, "asterisk_getformatbyname('ulaw'): " . asterisk_getformatbyname('ulaw'));

/*
  asterisk_verbose(1, "asterisk_get_priority(): " . asterisk_get_priority());
  asterisk_verbose(1, "asterisk_get_priority(".CHANNEL."): " . asterisk_get_priority(CHANNEL));

  foreach(asterisk_get_variables() as $var=>$val)
  {
    asterisk_verbose(1, "asterisk_get_variable($var) should be '$val': " . asterisk_get_variable($var));
  }

  foreach(asterisk_get_variables(CHANNEL) as $var=>$val)
  {
    asterisk_verbose(1, "asterisk_get_variable(".CHANNEL.", $var) should be '$val': " . asterisk_get_variable(CHANNEL, $var));
  }
*/
/* {{{ proto int asterisk_hangup([[string channel,] int cause]) */
/* {{{ proto asterisk_log(long log, string message) */
/* {{{ proto int asterisk_manager_command(int fd, string cmd) */
/* {{{ proto asterisk_moh_start([[string channel,] string class]) */
/* {{{ proto asterisk_moh_stop([string channel]) */
/* {{{ proto int asterisk_recvchar([[string channel,] int timeout]) */
/* {{{ proto string asterisk_request(string type, int format, string data) */
/* {{{ proto string asterisk_request_and_dial(string type, int format, string data, int timeoute, int outstate, string callerid)  */

/*
  asterisk_verbose(1, "asterisk_say_character_str('asterisk_say_character_str'): " . asterisk_say_character_str('asterisk_say_character_str'));
  asterisk_verbose(1, "asterisk_say_character_str('asterisk_say_character_str', '*12'): " . asterisk_say_character_str('asterisk_say_character_str', '*12'));
  asterisk_verbose(1, "asterisk_say_character_str('asterisk_say_character_str', '*12', 'en'): " . asterisk_say_character_str('asterisk_say_character_str', '*12', en));
  asterisk_verbose(1, "asterisk_say_character_str(".CHANNEL.", 'asterisk_say_character_str', '*12', 'en'): " . asterisk_say_character_str(CHANNEL, 'asterisk_say_character_str', '*12', en));
*/

/* {{{ proto int asterisk_say_date([string channel,] [int time[, string ints[, string lang[, string format[, string timezone]]]]]) */
/* {{{ proto int asterisk_say_datetime([string channel,] [int time[, string ints[, string lang]]]) */
/* {{{ proto int asterisk_say_datetime_from_now([string channel,] [int time[, string ints[, string lang]]]) */
/* {{{ proto int asterisk_say_digit_str([string channel,] string digits, [string ints[, string lang="en"]]) */
/* {{{ proto int asterisk_say_number([string channel], int number, [string ints[, string lang[, string options]]]) */
/* {{{ proto int asterisk_say_phonetic_str([string channel,] string text[, string ints[, string lang]]) */
/* {{{ proto int asterisk_say_time([string channel,] [int time[, string ints[, string lang]]]) */
/* {{{ proto int asterisk_senddigit([string channel,] string digit) */
/* {{{ proto int asterisk_send_image([string channel,] string image) */
/* {{{ proto int asterisk_sendtext([string channel,] string text) */
/* {{{ proto asterisk_set_best_read_format([string channel]) */
/* {{{ proto asterisk_set_best_write_format([string channel]) */
/* {{{ proto asterisk_set_callerid([string channel,] string callerid[, boolean anitoo]) */
/* {{{ proto int asterisk_set_context([string channel,] string context) */
/* {{{ proto int asterisk_set_extension([string channel,] string exten) */
/* {{{ proto int asterisk_set_priority([string channel,] int priority) */
/* {{{ proto asterisk_set_read_format([string channel,] int format) */

/*
  asterisk_set_variable('NOCHAN_HELLO', 'no chan WORLD');
  $hello = asterisk_get_variable('NOCHAN_HELLO');
  asterisk_verbose(4, "nochan_hello is $hello\n");

  asterisk_set_variable(CHANNEL, 'HELLO', 'WORLD');
  $hello = asterisk_get_variable(CHANNEL, 'HELLO');
  asterisk_verbose(4, "hello on " . CHANNEL . " is $hello\n");
*/

/* {{{ proto int asterisk_setwhentohangup([[string channel,] int timeout]) */
/* {{{ proto asterisk_set_write_format([string channel,] int format) */

/* {{{ proto string asterisk_state2str(int state) */
/*
  asterisk_verbose(1, "asterisk_state2str(asterisk_channel_status()): " . asterisk_state2str(asterisk_channel_status()));
  asterisk_verbose(1, "asterisk_state2str(asterisk_channel_status(".CHANNEL.")): " . asterisk_state2str(asterisk_channel_status(CHANNEL)));
*/
/* {{{ proto int asterisk_stream_file([string channel,] string filename[, string digits[, int offset[, string lang]]]) */
/* {{{ proto int asterisk_tdd_mode([[string channel,] int mode]) */
/* {{{ proto asterisk_waitfor([string channel,] int wait) */
/* {{{ proto int asterisk_waitfordigit([[string channel,] int timeout]) */









//  asterisk_set_autohangup(4);

  asterisk_set_variable(CHANNEL, 'HELLO', 'WORLD');
  $hello = asterisk_get_variable(CHANNEL, 'HELLO');
  asterisk_verbose(4, "hello on " . CHANNEL . " is $hello\n");


  // test error handler
  $z = 0;
  asterisk_verbose(1, "\n\n1 / z = \n\n");
  asterisk_verbose(1, "hmmm: " . (1 / z) . "\n");

  asterisk_stream_file("vm-INBOX", AST_DIGIT_ANY);

  asterisk_verbose(3, "best code: " . asterisk_codec2str(asterisk_best_codec()));
  asterisk_verbose(3, "channel priority: " . asterisk_get_priority());
?>
